<script src="./Script.js"></script>

<template>
  <div class="container-fluid">
    <div class="row" style="background: #ffffff">
      <div class="col-md-12 report-sales-title_top">
        <h3>{{ chartName }}</h3>
      </div>
    </div>
    <div class="row" style="background: #ffffff; min-height: 300px;">
      <div class="col-md-3 offset-md-9 text-right" style="padding-top: 20px">
        <div class="form-group m-form__group" style="padding-right: 1.2rem;">
          <date-picker
            v-if="isShowDatePicker"
            :not-before="currentTeam.created_at"
            :not-after="today"
            range
            v-model="hardChart.start_time"
            name="start_date_customer"
            id="start_date_customer"
            placeholder="Chọn mốc thời gian"
            format="DD/MM/YYYY"
            :clearable="true"
            :editable="true"
            :lang="lang"
            :shortcuts="shortcuts"
            @input="changeDateTimeSelect"
            @clear="clearDateTimeSelect"
            style="border: 1px solid #CCD2E2 !important;"
          ></date-picker>
        </div>
      </div>
      <div
        id="parentDiv"
        class="chart-container"
        style="position: relative; height: 380px; width: 100%"
      >
        <canvas :id="chartId" role="img"></canvas>
      </div>
    </div>
  </div>
</template>
